<html>
<head>
<title>Ogre::TextureUnitState::TextureEffect Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">TextureEffect</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TextureUnitState::TextureEffect Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TextureUnitState::TextureEffect" -->
<p>Internal structure defining a texture effect.  
 <a href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>&gt;</code></p>

<p><a href="structOgre_1_1TextureUnitState_1_1TextureEffect-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626">TextureEffectType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#aded68c8d04446c4e9b9616f356be06de">type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a3436e57eb0e5f928522ef07a93b11e2d">subtype</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#aba2780418ca3a03d94d6ca23c91c6615">arg1</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a91a3e4c00a58f31c59aa1081e62d0b73">arg2</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gabf2e0412a783a6f708ca1a58abb45c1b">WaveformType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a4727405325577a8151cd706ef6bef824">waveType</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a03b721b43c1f02ce9a965c2c8422080e">base</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a4612d326766998c6a7ea18a9e1960e4a">frequency</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#ae1445ba754865180a9472c53bb34e479">phase</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a96a6e183d58fede27a9707bd2ab84754">amplitude</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#aaf355fbea2860f3bfcfa05b106ae91b7">controller</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Frustum.html">Frustum</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a8f3fe2be82636153864de617fe5f8479">frustum</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Internal structure defining a texture effect. </p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h_source.html#l00157">157</a> of file <a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a96a6e183d58fede27a9707bd2ab84754"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::amplitude" ref="a96a6e183d58fede27a9707bd2ab84754" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a96a6e183d58fede27a9707bd2ab84754">Ogre::TextureUnitState::TextureEffect::amplitude</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h_source.html#l00165">165</a> of file <a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div>
<a class="anchor" id="aba2780418ca3a03d94d6ca23c91c6615"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::arg1" ref="aba2780418ca3a03d94d6ca23c91c6615" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#aba2780418ca3a03d94d6ca23c91c6615">Ogre::TextureUnitState::TextureEffect::arg1</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h_source.html#l00160">160</a> of file <a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a91a3e4c00a58f31c59aa1081e62d0b73"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::arg2" ref="a91a3e4c00a58f31c59aa1081e62d0b73" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a91a3e4c00a58f31c59aa1081e62d0b73">Ogre::TextureUnitState::TextureEffect::arg2</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h_source.html#l00160">160</a> of file <a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a03b721b43c1f02ce9a965c2c8422080e"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::base" ref="a03b721b43c1f02ce9a965c2c8422080e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a03b721b43c1f02ce9a965c2c8422080e">Ogre::TextureUnitState::TextureEffect::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h_source.html#l00162">162</a> of file <a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaf355fbea2860f3bfcfa05b106ae91b7"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::controller" ref="aaf355fbea2860f3bfcfa05b106ae91b7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt;* <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#aaf355fbea2860f3bfcfa05b106ae91b7">Ogre::TextureUnitState::TextureEffect::controller</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h_source.html#l00166">166</a> of file <a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4612d326766998c6a7ea18a9e1960e4a"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::frequency" ref="a4612d326766998c6a7ea18a9e1960e4a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a4612d326766998c6a7ea18a9e1960e4a">Ogre::TextureUnitState::TextureEffect::frequency</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h_source.html#l00163">163</a> of file <a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8f3fe2be82636153864de617fe5f8479"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::frustum" ref="a8f3fe2be82636153864de617fe5f8479" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Frustum.html">Frustum</a>* <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a8f3fe2be82636153864de617fe5f8479">Ogre::TextureUnitState::TextureEffect::frustum</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h_source.html#l00167">167</a> of file <a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae1445ba754865180a9472c53bb34e479"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::phase" ref="ae1445ba754865180a9472c53bb34e479" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#ae1445ba754865180a9472c53bb34e479">Ogre::TextureUnitState::TextureEffect::phase</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h_source.html#l00164">164</a> of file <a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3436e57eb0e5f928522ef07a93b11e2d"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::subtype" ref="a3436e57eb0e5f928522ef07a93b11e2d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a3436e57eb0e5f928522ef07a93b11e2d">Ogre::TextureUnitState::TextureEffect::subtype</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h_source.html#l00159">159</a> of file <a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div>
<a class="anchor" id="aded68c8d04446c4e9b9616f356be06de"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::type" ref="aded68c8d04446c4e9b9616f356be06de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626">TextureEffectType</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#aded68c8d04446c4e9b9616f356be06de">Ogre::TextureUnitState::TextureEffect::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h_source.html#l00158">158</a> of file <a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4727405325577a8151cd706ef6bef824"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::waveType" ref="a4727405325577a8151cd706ef6bef824" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gabf2e0412a783a6f708ca1a58abb45c1b">WaveformType</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a4727405325577a8151cd706ef6bef824">Ogre::TextureUnitState::TextureEffect::waveType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h_source.html#l00161">161</a> of file <a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:09
</p>
</body>
</html>
